Subject: Re: [RFC 10/10] net: sfp: add support for fwnode

From: Andy Shevchenko <[email-masked]>
Date: Wed, 23 Feb 2022 17:36:31 +0200

On Wed, Feb 23, 2022 at 04:27:33PM +0100, Hans de Goede wrote:
> On 2/23/22 16:23, Andrew Lunn wrote:
> >> As Russell asked, I'm also really interested if someone has a solution
> >> to reuse device-tree description (overlays ?) to describe such
> >> hardware. However, the fact that CONFIG_OF isn't enabled on x86 config
> >> seems a bit complicated on this side.
> > 
> > It does work, intel even used it for one of there tiny x86 SoCs. Maybe
> > it was Newton?
> 
> IIRC those SoCs did not use standard EFI/ACPI though, but rather some
> other special firmware, I think it was SFI ?  This is not so much about
> the CPU architecture as it is about the firmware/bootloader <->
> OS interface.

I think Andrew refers to Intel SoCs that are using OF. Those so far are
CE4xxx and SoFIA SoCs.

-- 
With Best Regards,
Andy Shevchenko